OF_PACKAGE_TO_PATH(9)

NAME
OF_package_to_path - get fully qualified path to a device tree node

SYNOPSIS
#include <dev/ofw/ofw_bus.h>
#include <dev/ofw/ofw_bus_subr.h>
ssize_t
OF_package_to_path(phandle_t node, char *buf, size_t len);

DESCRIPTION

OF_package_to_path() copies at most len bytes of the fully qualified path to the device tree node node into the memory specified by buf. The function returns the number of bytes copied or -1 in case of the error.

SEE ALSO
OF_finddevice(9)

AUTHORS
-nosplit This manual page was written by Oleksandr Tymoshenko <gonzo@FreeBSD.org>.